Index: tests/src/io/test-sink-multi.c
===================================================================
--- tests/src/io/test-sink-multi.c	(revision b0d4c788e02df0fec3ca20efd90e942050c4ba01)
+++ tests/src/io/test-sink-multi.c	(revision a3d8795535d81fb65948ccac1b0fac0c575e2f8c)
@@ -10,6 +10,6 @@
 
   if (argc < 3) {
-    err = 2;
-    PRINT_ERR("not enough arguments\n");
+    PRINT_ERR("not enough arguments, running tests\n");
+    err = run_on_default_source_and_sink(main);
     PRINT_MSG("usage: %s <input_path> <output_path> [samplerate] [channels] [hop_size]\n", argv[0]);
     return err;
Index: tests/src/io/test-sink.c
===================================================================
--- tests/src/io/test-sink.c	(revision b0d4c788e02df0fec3ca20efd90e942050c4ba01)
+++ tests/src/io/test-sink.c	(revision a3d8795535d81fb65948ccac1b0fac0c575e2f8c)
@@ -7,6 +7,6 @@
 
   if (argc < 3) {
-    err = 2;
-    PRINT_ERR("not enough arguments\n");
+    PRINT_ERR("not enough arguments, running tests\n");
+    err = run_on_default_source_and_sink(main);
     PRINT_MSG("usage: %s <input_path> <output_path> [samplerate] [hop_size]\n", argv[0]);
     return err;
Index: tests/src/io/test-sink_apple_audio-multi.c
===================================================================
--- tests/src/io/test-sink_apple_audio-multi.c	(revision b0d4c788e02df0fec3ca20efd90e942050c4ba01)
+++ tests/src/io/test-sink_apple_audio-multi.c	(revision a3d8795535d81fb65948ccac1b0fac0c575e2f8c)
@@ -11,6 +11,6 @@
 
   if (argc < 3) {
-    err = 2;
-    PRINT_ERR("not enough arguments\n");
+    PRINT_ERR("not enough arguments, running tests\n");
+    err = run_on_default_source_and_sink(main);
     PRINT_MSG("usage: %s <input_path> <output_path> [samplerate] [channels] [hop_size]\n", argv[0]);
     return err;
@@ -72,5 +72,5 @@
 beach_source:
 #else /* HAVE_SINK_APPLE_AUDIO */
-  err = 3;
+  err = 0;
   PRINT_ERR("aubio was not compiled with aubio_sink_apple_audio\n");
 #endif /* HAVE_SINK_APPLE_AUDIO */
Index: tests/src/io/test-sink_apple_audio.c
===================================================================
--- tests/src/io/test-sink_apple_audio.c	(revision b0d4c788e02df0fec3ca20efd90e942050c4ba01)
+++ tests/src/io/test-sink_apple_audio.c	(revision a3d8795535d81fb65948ccac1b0fac0c575e2f8c)
@@ -11,6 +11,6 @@
 
   if (argc < 3) {
-    err = 2;
-    PRINT_ERR("not enough arguments\n");
+    PRINT_ERR("not enough arguments, running tests\n");
+    err = run_on_default_source_and_sink(main);
     PRINT_MSG("usage: %s <input_path> <output_path> [samplerate] [hop_size]\n", argv[0]);
     return err;
@@ -61,5 +61,5 @@
 beach_fvec:
 #else /* HAVE_SINK_APPLE_AUDIO */
-  err = 3;
+  err = 0;
   PRINT_ERR("aubio was not compiled with aubio_source_apple_audio\n");
 #endif /* HAVE_SINK_APPLE_AUDIO */
Index: tests/src/io/test-sink_sndfile-multi.c
===================================================================
--- tests/src/io/test-sink_sndfile-multi.c	(revision b0d4c788e02df0fec3ca20efd90e942050c4ba01)
+++ tests/src/io/test-sink_sndfile-multi.c	(revision a3d8795535d81fb65948ccac1b0fac0c575e2f8c)
@@ -11,6 +11,6 @@
 
   if (argc < 3) {
-    err = 2;
-    PRINT_ERR("not enough arguments\n");
+    PRINT_ERR("not enough arguments, running tests\n");
+    err = run_on_default_source_and_sink(main);
     PRINT_MSG("usage: %s <input_path> <output_path> [samplerate] [channels] [hop_size]\n", argv[0]);
     return err;
@@ -72,5 +72,5 @@
 beach_source:
 #else
-  err = 3;
+  err = 0;
   PRINT_ERR("aubio was not compiled with aubio_sink_sndfile\n");
 #endif /* HAVE_SNDFILE */
Index: tests/src/io/test-sink_sndfile.c
===================================================================
--- tests/src/io/test-sink_sndfile.c	(revision b0d4c788e02df0fec3ca20efd90e942050c4ba01)
+++ tests/src/io/test-sink_sndfile.c	(revision a3d8795535d81fb65948ccac1b0fac0c575e2f8c)
@@ -11,6 +11,6 @@
 
   if (argc < 3) {
-    err = 2;
-    PRINT_ERR("not enough arguments\n");
+    PRINT_ERR("not enough arguments, running tests\n");
+    err = run_on_default_source_and_sink(main);
     PRINT_MSG("usage: %s <input_path> <output_path> [samplerate] [hop_size]\n", argv[0]);
     return err;
@@ -61,5 +61,5 @@
 beach_fvec:
 #else
-  err = 3;
+  err = 0;
   PRINT_ERR("aubio was not compiled with aubio_source_sndfile\n");
 #endif /* HAVE_SNDFILE */
Index: tests/src/io/test-sink_wavwrite-multi.c
===================================================================
--- tests/src/io/test-sink_wavwrite-multi.c	(revision b0d4c788e02df0fec3ca20efd90e942050c4ba01)
+++ tests/src/io/test-sink_wavwrite-multi.c	(revision a3d8795535d81fb65948ccac1b0fac0c575e2f8c)
@@ -11,6 +11,6 @@
 
   if (argc < 3) {
-    err = 2;
-    PRINT_ERR("not enough arguments\n");
+    PRINT_ERR("not enough arguments, running tests\n");
+    err = run_on_default_source_and_sink(main);
     PRINT_MSG("usage: %s <input_path> <output_path> [samplerate] [channels] [hop_size]\n", argv[0]);
     return err;
@@ -72,5 +72,5 @@
 beach_source:
 #else
-  err = 3;
+  err = 0;
   PRINT_ERR("aubio was not compiled with aubio_sink_wavwrite\n");
 #endif /* HAVE_WAVWRITE */
Index: tests/src/io/test-sink_wavwrite.c
===================================================================
--- tests/src/io/test-sink_wavwrite.c	(revision b0d4c788e02df0fec3ca20efd90e942050c4ba01)
+++ tests/src/io/test-sink_wavwrite.c	(revision a3d8795535d81fb65948ccac1b0fac0c575e2f8c)
@@ -11,6 +11,6 @@
 
   if (argc < 3) {
-    err = 2;
-    PRINT_ERR("not enough arguments\n");
+    PRINT_ERR("not enough arguments, running tests\n");
+    err = run_on_default_source_and_sink(main);
     PRINT_MSG("usage: %s <input_path> <output_path> [samplerate] [hop_size]\n", argv[0]);
     return err;
@@ -61,5 +61,5 @@
 beach_fvec:
 #else
-  err = 3;
+  err = 0;
   PRINT_ERR("aubio was not compiled with aubio_sink_wavwrite\n");
 #endif /* HAVE_WAVWRITE */
